Package org.drinkless.tdlib

# Class TdApi.ChatStatisticsInviterInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatStatisticsInviterInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatStatisticsInviterInfo extends TdApi.Object
Contains statistics about number of new members invited by a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `addedMemberCount`
  Number of new members invited by the user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatStatisticsInviterInfo()`
  Contains statistics about number of new members invited by a user.
  `ChatStatisticsInviterInfo(long userId, int addedMemberCount)`
  Contains statistics about number of new members invited by a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier.

  - ### addedMemberCount

    public int addedMemberCount
    Number of new members invited by the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatStatisticsInviterInfo

    public ChatStatisticsInviterInfo()
    Contains statistics about number of new members invited by a user.

  - ### ChatStatisticsInviterInfo

    public ChatStatisticsInviterInfo(long userId, int addedMemberCount)
    Contains statistics about number of new members invited by a user.
    Parameters:
      `userId` - User identifier.
      `addedMemberCount` - Number of new members invited by the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR